dependencyManagement {
  versions {
    poiVersion: "5.2.3"
    mockitoVersion: "4.11.0"
  }
  dependencies: [
    "com.xebialabs.deployit:test-data:$xlDeployVersion"
    "io.circe:circe-yaml_${scalaVersion}:1.15.0"
    "io.projectreactor.netty:reactor-netty:1.1.27"
    "org.hashids:hashids:1.0.3"
    "org.apache.tika:tika-core:2.9.2"
    "org.scala-graph:graph-constrained_${scalaVersion}:1.13.2"
    {
      group: "com.xebialabs.deployit.ascode"
      version: "$xlDeployVersion"
      artifacts: [
        "xld-devops-as-code"
      ]
    }
    {
      group: "org.apache.poi"
      version: "$poiVersion"
      artifacts: [
        "poi-ooxml"
        "poi"
      ]
    }
    {
      group: "com.xebialabs.deployit"
      version: "$xlDeployVersion"
      artifacts: [
        "server-api"
        "server-api-impl"
      ]
    }
     {
      group: "org.mockito"
      version: "$mockitoVersion"
      artifacts: [
        "mockito-core"
        "mockito-inline"
      ]}

    "org.scalatestplus:junit-4-13_${scalaVersion}:${scalaTestPlusJunitVersion}"
    "org.scalatestplus:testng-6-7_${scalaVersion}:${scalaTestPlusTestngVersion}"
    "org.scalatestplus:scalatestplus-mockito_${scalaVersion}:1.0.0-SNAP5"
    "org.testng:testng:${testNgVersion}"
    "com.vladsch.flexmark:flexmark-all:${flexmarkVersion}"
    "org.apache.pdfbox:pdfbox:${pdfBoxVersion}"
    "org.jsoup:jsoup:${jsoupVersion}"
  ]

  blacklist: [
    "org.apache.pekko:pekko-persistence-experimental_${scalaVersion}"
    "org.apache.pekko:pekko-stream-experimental_${scalaVersion}"
    "com.sun.xml.bind:jaxb-impl"
    "com.sun.xml.stream:sjsxp"
    "org.slf4j:slf4j-jdk14"
    "org.slf4j:slf4j-nop"
    //this is used by resteasy-core but the latest version of hibernate-envers
    //requires the new version of jandex
    "org.jboss:jandex"
  ]
}
